Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions
tlp::GlEntity Class Reference

`#include <GlEntity.h>`

Inheritance diagram for tlp::GlEntity:
[legend]

List of all members.

## Public Member Functions

- virtual ~GlEntity ()
- virtual void acceptVisitor (GlSceneVisitor *visitor)=0

## Detailed Description

Abstract class used to represent all entity of a scene

## Constructor & Destructor Documentation

virtual tlp::GlEntity::~GlEntity | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual void tlp::GlEntity::acceptVisitor | ( | GlSceneVisitor * | visitor | ) | `[pure virtual]`

Accpet visitor function

Implemented in tlp::GlComposite, tlp::GlConvexHull, tlp::GlGraphComposite, and tlp::GlSimpleEntity.

Tulip Software by LaBRI Visualization Team 2001 - 2012